<form [formGroup]="model" (ngSubmit)="onSubmit()">
    <p class="formheader-1">Register for direct EuroDaT participation</p>
    <div class="ms-3 mb-5">
        <p class="formheader-2">
            Data Provider
            <ead-info-popover
                [popoverTitle]="'Data Provider'"
                [popoverContent]="'You can make your data available for current and upcoming EuroDaT applications.'"
            />
        </p>
        <div class="mb-3">
            <p-checkbox formControlName="dataProvider" [binary]="true" data-test="dataProvider" />
            <label class="label-spacing">Apply for safe deposit box</label>
        </div>
        <p class="formheader-2">
            Data Service Provider
            <ead-info-popover
                [popoverTitle]="'Data Service Provider'"
                [popoverContent]="'You can provide your own data apps into EuroDaTs app store.'"
            />
        </p>

        <div class="mb-3">
            <p-checkbox formControlName="dataServiceProvider" [binary]="true" data-test="dataServiceProvider" />
            <label class="label-spacing">Apply for EuroDaT application developer</label>
        </div>
    </div>

    <p class="formheader-1">
        Register for existing EuroDaT applications
        <ead-info-popover
            [popoverTitle]="'EuroDaT applications'"
            [popoverContent]="
                'Each use case requires its own contracts. Select the use cases you want to participate in. After your application, you will\n' +
                '                    receive all relevant documents for signing.'
            "
        />
    </p>
    <div class="ms-2 mb-5">
        <p-multiSelect
            [options]="eurodatAppsOptions"
            formControlName="eurodatApps"
            placeholder="Select EuroDaT Apps ..."
            data-test="eurodatApps"
            [style]="{ width: '40%', 'min-width': '235px' }"
        />
    </div>

    <div class="flex">
        @if (!submitted) {
            <button
                [ngClass]="['me-3 btn-default btn-same-size-small', model.hasError('noneSelected') ? 'btn-disabled' : '']"
                type="submit"
                data-test="submit-button"
            >
                Submit
            </button>
        }

        @if (!submitted) {
            <button
                [disabled]="model.hasError('noneSelected')"
                (click)="prefillForm()"
                class="btn-inverse btn-same-size-small"
                type="button"
                data-test="cancel-button"
            >
                Cancel
            </button>
        }
        @if (submitted) {
            <button class="btn-default btn-same-size-small" data-test="edit-button" (click)="submitted = !submitted">Edit</button>
        }
    </div>
    <div class="mt-3">
        @if (model.hasError("noneSelected")) {
            <small data-test="validation-message" class="hint"> Select at least one option.</small>
        }
    </div>
</form>
